net.sf.jasperreports.charts.design

## Class JRDesignPieDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.design.JRDesignElementDataset
    - - net.sf.jasperreports.engine.design.JRDesignChartDataset
      - - net.sf.jasperreports.charts.design.JRDesignPieDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRPieDataset, JRChangeEventsSupport, JRChartDataset, JRCloneable, JRElementDataset

      public class JRDesignPieDataset
      extends JRDesignChartDataset
      implements JRPieDataset

  Version:
    $Id: JRDesignPieDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `otherKeyExpression`
    `protected JRExpression` | `otherLabelExpression`
    `static java.lang.String` | `PROPERTY_KEY_EXPRESSION`
    `static java.lang.String` | `PROPERTY_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_MAX_COUNT`
    `static java.lang.String` | `PROPERTY_MIN_PERCENTAGE`
    `static java.lang.String` | `PROPERTY_OTHER_KEY_EXPRESSION`
    `static java.lang.String` | `PROPERTY_OTHER_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_OTHER_SECTION_HYPERLINK`
    `static java.lang.String` | `PROPERTY_PIE_SERIES`
    `static java.lang.String` | `PROPERTY_SECTION_HYPERLINK`
    `static java.lang.String` | `PROPERTY_VALUE_EXPRESSION`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `PROPERTY_DATASET_RUN, PROPERTY_INCREMENT_GROUP, PROPERTY_INCREMENT_TYPE, PROPERTY_INCREMENT_WHEN_EXPRESSION, PROPERTY_RESET_GROUP, PROPERTY_RESET_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignPieDataset(JRChartDataset dataset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPieSeries(int index, JRPieSeries pieSeries)`
    `void` | `addPieSeries(JRPieSeries pieSeries)`
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `byte` | `getDatasetType()` Gets the dataset type.
    `JRExpression` | `getKeyExpression()` Deprecated. Replaced by `getSeries()`.
    `JRExpression` | `getLabelExpression()` Deprecated. Replaced by `getSeries()`.
    `java.lang.Integer` | `getMaxCount()`
    `java.lang.Float` | `getMinPercentage()`
    `JRExpression` | `getOtherKeyExpression()`
    `JRExpression` | `getOtherLabelExpression()`
    `JRHyperlink` | `getOtherSectionHyperlink()` Returns the hyperlink specification for the special Other chart section, if present.
    `JRHyperlink` | `getSectionHyperlink()` Deprecated. Replaced by `getSeries()`.
    `JRPieSeries[]` | `getSeries()`
    `java.util.List<JRPieSeries>` | `getSeriesList()`
    `JRExpression` | `getValueExpression()` Deprecated. Replaced by `getSeries()`.
    `JRPieSeries` | `removePieSeries(JRPieSeries pieSeries)`
    `void` | `setKeyExpression(JRExpression keyExpression)` Deprecated. Replaced by `getSeries()`.
    `void` | `setLabelExpression(JRExpression labelExpression)` Deprecated. Replaced by `getSeries()`.
    `void` | `setMaxCount(java.lang.Integer maxCount)`
    `void` | `setMinPercentage(java.lang.Float minPercentage)`
    `void` | `setOtherKeyExpression(JRExpression otherKeyExpression)`
    `void` | `setOtherLabelExpression(JRExpression otherLabelExpression)`
    `void` | `setOtherSectionHyperlink(JRHyperlink otherSectionHyperlink)`
    `void` | `setSectionHyperlink(JRHyperlink sectionHyperlink)` Deprecated. Replaced by `getSeries()`.
    `void` | `setValueExpression(JRExpression valueExpression)` Deprecated. Replaced by `getSeries()`.
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `getEventSupport, setDatasetRun, setIncrementGroup, setIncrementType, setIncrementWhenExpression, setResetGroup, setResetType`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

- - ### Field Detail

    - #### PROPERTY_MIN_PERCENTAGE

          public static final java.lang.String PROPERTY_MIN_PERCENTAGE

      See Also:
        Constant Field Values

    - #### PROPERTY_MAX_COUNT

          public static final java.lang.String PROPERTY_MAX_COUNT

      See Also:
        Constant Field Values

    - #### PROPERTY_PIE_SERIES

          public static final java.lang.String PROPERTY_PIE_SERIES

      See Also:
        Constant Field Values

    - #### PROPERTY_KEY_EXPRESSION

          public static final java.lang.String PROPERTY_KEY_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_VALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_SECTION_HYPERLINK

          public static final java.lang.String PROPERTY_SECTION_HYPERLINK

      See Also:
        Constant Field Values

    - #### PROPERTY_OTHER_KEY_EXPRESSION

          public static final java.lang.String PROPERTY_OTHER_KEY_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_OTHER_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_OTHER_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_OTHER_SECTION_HYPERLINK

          public static final java.lang.String PROPERTY_OTHER_SECTION_HYPERLINK

      See Also:
        Constant Field Values

    - #### otherKeyExpression

          protected JRExpression otherKeyExpression

    - #### otherLabelExpression

          protected JRExpression otherLabelExpression

  - ### Constructor Detail

    - #### JRDesignPieDataset

          public JRDesignPieDataset(JRChartDataset dataset)

  - ### Method Detail

    - #### getMinPercentage

          public java.lang.Float getMinPercentage()

      Specified by:
        `getMinPercentage` in interface `JRPieDataset`

    - #### setMinPercentage

          public void setMinPercentage(java.lang.Float minPercentage)

      Specified by:
        `setMinPercentage` in interface `JRPieDataset`

    - #### getMaxCount

          public java.lang.Integer getMaxCount()

      Specified by:
        `getMaxCount` in interface `JRPieDataset`

    - #### setMaxCount

          public void setMaxCount(java.lang.Integer maxCount)

      Specified by:
        `setMaxCount` in interface `JRPieDataset`

    - #### getSeries

          public JRPieSeries[] getSeries()

      Specified by:
        `getSeries` in interface `JRPieDataset`
      Returns:
        an array of `JRPieSeries` objects representing the series for the Pie or Pie 3D chart
      See Also:
        `JRPieSeries`

    - #### getSeriesList

          public java.util.List<JRPieSeries> getSeriesList()

    - #### addPieSeries

          public void addPieSeries(JRPieSeries pieSeries)

    - #### addPieSeries

          public void addPieSeries(int index,
                          JRPieSeries pieSeries)

    - #### removePieSeries

          public JRPieSeries removePieSeries(JRPieSeries pieSeries)

    - #### getKeyExpression

          public JRExpression getKeyExpression()

      Deprecated. Replaced by `getSeries()`.

    - #### setKeyExpression

          public void setKeyExpression(JRExpression keyExpression)

      Deprecated. Replaced by `getSeries()`.

    - #### getValueExpression

          public JRExpression getValueExpression()

      Deprecated. Replaced by `getSeries()`.

    - #### setValueExpression

          public void setValueExpression(JRExpression valueExpression)

      Deprecated. Replaced by `getSeries()`.

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Deprecated. Replaced by `getSeries()`.

    - #### setLabelExpression

          public void setLabelExpression(JRExpression labelExpression)

      Deprecated. Replaced by `getSeries()`.

    - #### getSectionHyperlink

          public JRHyperlink getSectionHyperlink()

      Deprecated. Replaced by `getSeries()`.

    - #### setSectionHyperlink

          public void setSectionHyperlink(JRHyperlink sectionHyperlink)

      Deprecated. Replaced by `getSeries()`.

    - #### getOtherKeyExpression

          public JRExpression getOtherKeyExpression()

      Specified by:
        `getOtherKeyExpression` in interface `JRPieDataset`

    - #### setOtherKeyExpression

          public void setOtherKeyExpression(JRExpression otherKeyExpression)

    - #### getOtherLabelExpression

          public JRExpression getOtherLabelExpression()

      Specified by:
        `getOtherLabelExpression` in interface `JRPieDataset`

    - #### setOtherLabelExpression

          public void setOtherLabelExpression(JRExpression otherLabelExpression)

    - #### getOtherSectionHyperlink

          public JRHyperlink getOtherSectionHyperlink()

      Description copied from interface: `JRPieDataset`
      Returns the hyperlink specification for the special Other chart section, if present.
      Specified by:
        `getOtherSectionHyperlink` in interface `JRPieDataset`
      Returns:
        hyperlink specification for the Other chart section

    - #### setOtherSectionHyperlink

          public void setOtherSectionHyperlink(JRHyperlink otherSectionHyperlink)

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`
      Overrides:
        `getDatasetType` in class `JRDesignChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignElementDataset`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com